Subject: Re: [PATCH] be paranoid about closed stdin/stdout/stderr

From: Johannes Sixt <[email-masked]>
Date: Tue, 26 Aug 2008 08:57:12 +0200

Paolo Bonzini schrieb:
> +	/*
> +	 * Always open file descriptors 0/1/2 to avoid clobbering files
> +	 * in die().  It also avoids not messing up when the pipes are
> +	 * dup'ed onto stdin/stdout/stderr in the child processes we spawn.
> +	 */

I see your point, but I don't have an opinion whether this stretch is
necessary.

However, *if* we do this, we must do it for all non-builtins as well!

-- Hannes